Page Summary
-
The
MutateAccountBudgetProposalRPC method allows you to create, update, or remove account budget proposals. -
This method returns the operation statuses for the applied changes.
-
A variety of errors can be thrown, including issues with authorization, database, fields, and requests.
-
This operation requires the
https://www.googleapis.com/auth/adwordsOAuth scope for authorization.
- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- AccountBudgetProposalOperation
- MutateAccountBudgetProposalResult
- Try it!
Creates, updates, or removes account budget proposals. Operation statuses are returned.
List of thrown errors: AccountBudgetProposalError AuthenticationError AuthorizationError DatabaseError DateError FieldError FieldMaskError HeaderError InternalError MutateError QuotaError RequestError StringLengthError
HTTP request
POST https://googleads.googleapis.com/v20/customers/{customerId}/accountBudgetProposals:mutate
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customerId |
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"operation": {
object ( |
| Fields | |
|---|---|
operation |
AccountBudgetProposalOperation) |
validateOnly |
|
Response body
Response message for account-level budget mutate operations.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"result": {
object ( |
| Fields | |
|---|---|
result |
MutateAccountBudgetProposalResult) |
AccountBudgetProposalOperation
A single operation to propose the creation of a new account-level budget or edit/end/remove an existing one.
| JSON representation |
|---|
{ "updateMask": string, // Union field |
| Fields | |
|---|---|
operation. The mutate operation. operation can be only one of the following: |
|
create |
AccountBudgetProposal) |
remove |
|
updateMask |
FieldMask format) |
MutateAccountBudgetProposalResult
The result for the account budget proposal mutate.
| JSON representation |
|---|
{ "resourceName": string } |
| Fields | |
|---|---|
resourceName |
|
- Authorization scopes
-
Requires the following OAuth scope:
https://www.googleapis.com/auth/adwords
For more information, see the OAuth 2.0 Overview.